#!/usr/bin/perl
#--NetShopOwner-CGI-version:5.0.2.0--

;#
;# support1.cgi
;# [PC]₢킹
;# (C) 2012 ЃWXgVXe
;#
;# last modified YYYY/MM/DD
;#

use strict;
use uselib;
use defnsopath_shop;
use NsoVersionPC 1.00;
use Lib::SiteStatus;
use Lib::Support;
use Lib::DbConnect;
use NsoSupportCall;

&ReadParse();
my %in    = %main::in;
my %incfn = %main::incfn;
my %inct  = %main::inct;

# CX^X`
my $objConfigSystem = Config::NsoSystem->newShop();
my $objConfigMaster = Config::NsoMaster->new();
my $NsoMisc       = NsoMisc->new();
my $LibSupport   = Lib::Support->new();

# RtBO[ṼLbV
my %ConfigSystem = $objConfigSystem->cache_config();
my %ConfigMaster = $objConfigMaster->cache_config();

my $NsoSupportCall = NsoSupportCall->new();
my $DbConnect = Lib::DbConnect->new({ ConfigSystem=>\%ConfigSystem, ConfigMaster=>\%ConfigMaster});

my $status_err;

FUNC:{
	my $func = $in{func} || 'main';
	my %function = (
		main       => \&main,
	);
	&check_closing();
	
	if ($function{$func}){
		$function{$func}->();
	}else{
		&main();
	}
}
exit();

;#
;# JXEXԌ
;#
sub check_closing {
	my $SiteStatus = Lib::SiteStatus->new({ ConfigSystem=>\%ConfigSystem });
	$SiteStatus->CheckClosing({ IgnoreFlag=>1 });
}

;#
;# C
;#
sub main {

	# HTML^O
	my %Text = ();
	foreach my $key ( keys( %in) ) {
		$Text{$key} = $NsoMisc->html_encode($in{$key});
	}
	
	# ╔ҏW
	for (my $i=1; $i <= 4; $i++) {
		# objectɂ菈U蕪
		if ($Text{"question$i"."_object"} eq "cmb") {
			$Text{"question$i"."_".substr($Text{"question$i"},0,1) } = "selected";	# selectedp
			$Text{"question$i"} = substr( $Text{"question$i"}, 2);					# mFo͗p
		} else {
			$Text{"question$i"} = $Text{"question$i"};
		}
	}

	# i₢킹
	if ($in{GoodsID}) {
		$Text{Inquiry} = &getGoodsinfo();
	}

	# ev[gu
	my $system_templ_dir   = $main::nsoDB_path ."/";
	my $system_templ_kind  = "templ";
	my $Data = "support1.htmp";

	# ev[gu
	my $NsoTempl = NsoTempl->new({ DataDir=>$system_templ_dir, DirKind=>$system_templ_kind, Data=>$Data });
	my %replace_templ = (
		Text => \%Text,
	);
	print $NsoMisc->print_header();
	print $NsoTempl->replace_templ(\%replace_templ);
	exit();
}

;#
;# i擾
;#
sub getGoodsinfo {

	my $self = shift;
	my $GoodsID = $in{GoodsID};
	my $RecordList;
	my $ArticleNo;
	my $ArticleName;
	my %RecordHash;
	
	my $RecordCount;
	
	#GoodsID̃`FbN(pl1ȏ)@OKFSQLsANGF$RecordNull(eLXg\Ȃ)
	if ($GoodsID =~ m/^\d+$/) {
		
		# NG쐬
		my $SQL_query = $NsoSupportCall->make_supportcallQuery( {GoodsID=>$GoodsID, target=>0} );
		
		# DBڑ
		my $connectError = $DbConnect->DbConnect();
		if ( $connectError ne "" ){
			$status_err = $status_err . "<br>" . $connectError if($status_err ne "");
			$status_err = $status_err . $connectError if($status_err eq "");
			return;
		}
		
		# NGs
		my %db = $DbConnect->DbSelect($SQL_query);
		
		# SQL ʎ擾
		$RecordList = %db->{RecordList};
		my $queryError = %db->{status_err};
		if ( $queryError ne "" ){
			$status_err = $status_err . "<br>" . $queryError if($status_err ne "");
			$status_err = $status_err . $queryError if($status_err eq "");
			return;
		}
		$RecordCount = scalar @$RecordList;
		
	} else {
		$RecordCount = 0;
	}
	return if ($RecordCount == 0);
	
	foreach my $RecList (@{$RecordList}){
		%RecordHash = (
			ArticleNo		=>	$NsoMisc->j_decode_euc2sjis($$RecList[0]),		# iID
			ArticleName		=>	$NsoMisc->j_decode_euc2sjis($$RecList[1]),		# i
		);
	}
	$ArticleNo   = ${RecordHash{ArticleNo}};
	$ArticleName = ${RecordHash{ArticleName}};

	my @Goodsinfo = ();
	push (@Goodsinfo, qq(⍇i));
	push (@Goodsinfo, qq(<iԍ>).$ArticleNo);
	push (@Goodsinfo, qq(<i>).$ArticleName);
	push (@Goodsinfo, "");
	push (@Goodsinfo, qq(E₢킹e));
	push (@Goodsinfo, "");		
	push (@Goodsinfo, qq(A\(E-mailȊOł̘A]̏ꍇ\)));
	push (@Goodsinfo, "");
	return join("\n",@Goodsinfo);
}








